# sc::MolEnergyConvergence Class Reference

Inheritance diagram for sc::MolEnergyConvergence:

List of all members.

## Public Member Functions
| MolEnergyConvergence (StateIn &)
| MolEnergyConvergence (const Ref< KeyVal > &)
| The KeyVal constructor.
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | get_grad (const Ref< Function > &)
| Set the current gradient and displacement.
void | get_x (const Ref< Function > &)
void | set_nextx (const RefSCVector &)
int | converged ()
| Return nonzero if the optimization has converged.
## Protected Member Functions
void | set_defaults ()
## Protected Attributes
Ref< MolecularEnergy > | mole_
int | cartesian_

## Constructor & Destructor Documentation

sc::MolEnergyConvergence::MolEnergyConvergence | ( | const Ref< KeyVal > & |  | ) |

The KeyVal constructor.

In addition to the keywords read by Convergence, the following keywords are examined:

`energy`

  The MolecularEnergy object. This is required.

`cartesian`

  If true, cartesian displacements and gradients will be compared to the convergence criteria. The default is true.

## Member Function Documentation

void sc::MolEnergyConvergence::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::Convergence.

The documentation for this class was generated from the following file:

- energy.h